Subject: 23.1.93; Hang showing completion list with Tramp

From: David Reitter <[email-masked]>
Date: Sat, 10 Apr 2010 08:56:43 -0400

Note: The lack of interruptability may be due to NS, the failure to connect (timing out) is something I've heard from other users as well and might be non-NS.

Begin forwarded message:

> From: Duncan Findlay <[email-masked]>
> Date: April 10, 2010 12:18:35 AM EDT
> To: [email-masked]
> Subject: [Aquamacs-bugs] 23.1.93; Hang showing completion list with Tramp
> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
> 
> I'm using TRAMP to access a remote directory. The remote server is running FreeBSD 6.3 and I'm connecting with the 'scp' mode. When I type in a partial path and try to tab-complete, e.g: /hostname:/path/to/file/file<tab>, Tramp goes off and tries to fetch the completion list. (This only happens when there is more than one possible completion.) I see the window partially re-draw (i.e. vertical scrollbars change, as if to split into two to show the completion list. The minibuffer continues to display "Making Completion List...", I get a spinny-beachball-of-death, and the process starts to use a lot of memory and CPU.
> 
> I was able to reproduce this with customizations off, but not with Aquamacs -Q.
> 
> I have several backtraces (by attaching to the running process) from different times this has happened, but no symbols.
> 
> I think I've managed to interrupt it in the past (or maybe it timed out?), but most of the time I have to kill the process. When I did manage to interrupt it, I didn't see anything wierd in the Tramp debug logs.
> 
> I should be able to try compiling from source if that will help to get a fuller back trace.
> 
> Thanks
> Duncan
> 
> #0  0x001eebfc in composition_compute_stop_pos ()
> #1  0x00023779 in compute_stop_pos ()
> #2  0x00023475 in handle_stop ()
> #3  0x0002b9aa in next_element_from_buffer ()
> #4  0x0002928d in get_next_display_element ()
> #5  0x0002c18f in move_it_in_display_line_to ()
> #6  0x0002d34e in move_it_to ()
> #7  0x00038b66 in try_scrolling ()
> #8  0x0003bfc1 in redisplay_window ()
> #9  0x00037b7f in redisplay_window_0 ()
> #10 0x0016c6ff in internal_condition_case_1 ()
> #11 0x00037ae1 in redisplay_windows ()
> #12 0x00036da0 in redisplay_internal ()
> #13 0x000374e4 in redisplay_preserve_echo_area ()
> #14 0x000d1f49 in swallow_events ()
> #15 0x0000f159 in sit_for ()
> #16 0x000cedf2 in read_char ()
> #17 0x000dac01 in read_key_sequence ()
> #18 0x000cb161 in command_loop_1 ()
> #19 0x0016c591 in internal_condition_case ()
> #20 0x000ca8ea in command_loop_2 ()
> #21 0x0016bf22 in internal_catch ()
> #22 0x000ca7f9 in command_loop ()
> #23 0x000c9e47 in recursive_edit_1 ()
> #24 0x00105e4d in read_minibuf ()
> #25 0x00108204 in Fcompleting_read ()
> #26 0x0016f44d in Ffuncall ()
> #27 0x001c5479 in Fbyte_code ()
> #28 0x0016fab4 in funcall_lambda ()
> #29 0x0016f495 in Ffuncall ()
> #30 0x001c5479 in Fbyte_code ()
> #31 0x0016fab4 in funcall_lambda ()
> #32 0x0016f6e4 in apply_lambda ()
> #33 0x0016e34f in Feval ()
> #34 0x001679e4 in Fcall_interactively ()
> #35 0x0016e101 in Feval ()
> #36 0x0016a54f in Fprogn ()
> #37 0x0016a477 in Fif ()
> #38 0x0016de96 in Feval ()
> #39 0x0016a457 in Fif ()
> #40 0x0016de96 in Feval ()
> #41 0x0016a54f in Fprogn ()
> #42 0x0016fa68 in funcall_lambda ()
> #43 0x0016f543 in Ffuncall ()
> #44 0x0016ec1c in apply1 ()
> #45 0x00167c73 in Fcall_interactively ()
> #46 0x0016f228 in Ffuncall ()
> #47 0x0016ece4 in call3 ()
> #48 0x000ddbdd in Fcommand_execute ()
> #49 0x000ccaaf in command_loop_1 ()
> #50 0x0016c591 in internal_condition_case ()
> #51 0x000ca8ea in command_loop_2 ()
> #52 0x0016bf22 in internal_catch ()
> #53 0x000ca873 in command_loop ()
> #54 0x000c9e47 in recursive_edit_1 ()
> #55 0x000ca050 in Frecursive_edit ()
> #56 0x000c8330 in main ()
> 
> #0  0x0014bbb9 in mem_insert ()
> #1  0x0014938d in lisp_malloc ()
> #2  0x0014afec in allocate_vectorlike ()
> #3  0x0014b08f in allocate_pseudovector ()
> #4  0x0018082b in font_make_spec ()
> #5  0x0018acf9 in Fcopy_font_spec ()
> #6  0x00187b9a in font_clear_prop ()
> #7  0x000bc9c9 in merge_face_vectors ()
> #8  0x000bca6f in merge_named_face ()
> #9  0x000bd1b9 in merge_face_ref ()
> #10 0x000bc65d in merge_face_vectors ()
> #11 0x000bca6f in merge_named_face ()
> #12 0x000bd1b9 in merge_face_ref ()
> #13 0x000bc65d in merge_face_vectors ()
> #14 0x000bca6f in merge_named_face ()
> #15 0x000bd1b9 in merge_face_ref ()
> #16 0x000bc13a in get_lface_attributes ()
> #17 0x000c172f in lookup_named_face ()
> #18 0x000c192d in lookup_basic_face ()
> #19 0x000427da in append_space_for_newline ()
> #20 0x00043979 in display_line ()
> #21 0x0003d0bf in try_window ()
> #22 0x000399a4 in try_scrolling ()
> #23 0x0003bfc1 in redisplay_window ()
> #24 0x00037b7f in redisplay_window_0 ()
> #25 0x0016c6ff in internal_condition_case_1 ()
> #26 0x00037ae1 in redisplay_windows ()
> #27 0x00036da0 in redisplay_internal ()
> #28 0x00034d09 in redisplay ()
> #29 0x000ce5bb in read_char ()
> #30 0x000dac01 in read_key_sequence ()
> #31 0x000cb161 in command_loop_1 ()
> #32 0x0016c591 in internal_condition_case ()
> #33 0x000ca8ea in command_loop_2 ()
> #34 0x0016bf22 in internal_catch ()
> #35 0x000ca7f9 in command_loop ()
> #36 0x000c9e47 in recursive_edit_1 ()
> #37 0x00105e4d in read_minibuf ()
> #38 0x00108204 in Fcompleting_read ()
> #39 0x0016f44d in Ffuncall ()
> #40 0x001c5479 in Fbyte_code ()
> #41 0x0016fab4 in funcall_lambda ()
> #42 0x0016f495 in Ffuncall ()
> #43 0x001c5479 in Fbyte_code ()
> #44 0x0016fab4 in funcall_lambda ()
> #45 0x0016f6e4 in apply_lambda ()
> #46 0x0016e34f in Feval ()
> #47 0x001679e4 in Fcall_interactively ()
> #48 0x0016e101 in Feval ()
> #49 0x0016a54f in Fprogn ()
> #50 0x0016a477 in Fif ()
> #51 0x0016de96 in Feval ()
> #52 0x0016a457 in Fif ()
> #53 0x0016de96 in Feval ()
> #54 0x0016a54f in Fprogn ()
> #55 0x0016fa68 in funcall_lambda ()
> #56 0x0016f543 in Ffuncall ()
> #57 0x0016ec1c in apply1 ()
> #58 0x00167c73 in Fcall_interactively ()
> #59 0x0016f228 in Ffuncall ()
> #60 0x0016ece4 in call3 ()
> #61 0x000ddbdd in Fcommand_execute ()
> #62 0x000ccaaf in command_loop_1 ()
> #63 0x0016c591 in internal_condition_case ()
> #64 0x000ca8ea in command_loop_2 ()
> #65 0x0016bf22 in internal_catch ()
> #66 0x000ca873 in command_loop ()
> #67 0x000c9e47 in recursive_edit_1 ()
> #68 0x000ca050 in Frecursive_edit ()
> #69 0x000c8330 in main ()
> 
> #0  0x00177740 in assq_no_quit ()
> #1  0x000bbf6d in lface_from_face_name_no_resolve ()
> #2  0x000bc027 in get_lface_attributes_no_remap ()
> #3  0x000bc15f in get_lface_attributes ()
> #4  0x000bca46 in merge_named_face ()
> #5  0x000bd1b9 in merge_face_ref ()
> #6  0x000bc65d in merge_face_vectors ()
> #7  0x000bca6f in merge_named_face ()
> #8  0x000bd1b9 in merge_face_ref ()
> #9  0x000bc65d in merge_face_vectors ()
> #10 0x000bca6f in merge_named_face ()
> #11 0x000bd1b9 in merge_face_ref ()
> #12 0x000bc13a in get_lface_attributes ()
> #13 0x000c172f in lookup_named_face ()
> #14 0x000c192d in lookup_basic_face ()
> #15 0x00021c94 in init_iterator ()
> #16 0x00022b56 in start_display ()
> #17 0x0003d0a2 in try_window ()
> #18 0x000399a4 in try_scrolling ()
> #19 0x0003bfc1 in redisplay_window ()
> #20 0x00037b7f in redisplay_window_0 ()
> #21 0x0016c6ff in internal_condition_case_1 ()
> #22 0x00037ae1 in redisplay_windows ()
> #23 0x00036da0 in redisplay_internal ()
> #24 0x00034d09 in redisplay ()
> #25 0x000ce5bb in read_char ()
> #26 0x000dac01 in read_key_sequence ()
> #27 0x000cb161 in command_loop_1 ()
> #28 0x0016c591 in internal_condition_case ()
> #29 0x000ca8ea in command_loop_2 ()
> #30 0x0016bf22 in internal_catch ()
> #31 0x000ca7f9 in command_loop ()
> #32 0x000c9e47 in recursive_edit_1 ()
> #33 0x00105e4d in read_minibuf ()
> #34 0x00108204 in Fcompleting_read ()
> #35 0x0016f44d in Ffuncall ()
> #36 0x001c5479 in Fbyte_code ()
> #37 0x0016fab4 in funcall_lambda ()
> #38 0x0016f495 in Ffuncall ()
> #39 0x001c5479 in Fbyte_code ()
> #40 0x0016fab4 in funcall_lambda ()
> #41 0x0016f6e4 in apply_lambda ()
> #42 0x0016e34f in Feval ()
> #43 0x001679e4 in Fcall_interactively ()
> #44 0x0016e101 in Feval ()
> #45 0x0016a54f in Fprogn ()
> #46 0x0016a477 in Fif ()
> #47 0x0016de96 in Feval ()
> #48 0x0016a457 in Fif ()
> #49 0x0016de96 in Feval ()
> #50 0x0016a54f in Fprogn ()
> #51 0x0016fa68 in funcall_lambda ()
> #52 0x0016f543 in Ffuncall ()
> #53 0x0016ec1c in apply1 ()
> #54 0x00167c73 in Fcall_interactively ()
> #55 0x0016f228 in Ffuncall ()
> #56 0x0016ece4 in call3 ()
> #57 0x000ddbdd in Fcommand_execute ()
> #58 0x000ccaaf in command_loop_1 ()
> #59 0x0016c591 in internal_condition_case ()
> #60 0x000ca8ea in command_loop_2 ()
> #61 0x0016bf22 in internal_catch ()
> #62 0x000ca873 in command_loop ()
> #63 0x000c9e47 in recursive_edit_1 ()
> #64 0x000ca050 in Frecursive_edit ()
> #65 0x000c8330 in main ()
> 
> 
> In GNU Emacs 23.1.93.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
> of 2010-03-09 on braeburn.aquamacs.org - Aquamacs Distribution 2.0preview5
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns' '--without-x' 'CFLAGS=-arch i386 -arch ppc' 'LDFLAGS=-arch i386 -arch ppc''
> 
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: nil
>  value of $XMODIFIERS: nil
>  locale-coding-system: nil
>  default enable-multibyte-characters: t
> 
> Major mode: Text
> 
> Minor modes in effect:
>  savehist-mode: t
>  smart-frame-positioning-mode: t
>  shell-dirtrack-mode: t
>  aquamacs-autoface-mode: t
>  recentf-mode: t
>  osx-key-mode: t
>  tabbar-mwheel-mode: t
>  tabbar-mode: t
>  show-paren-mode: t
>  cua-mode: t
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  smart-spacing-mode: t
>  column-number-mode: t
>  line-number-mode: t
>  visual-line-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> <ns-application-activated> <ns-application-activated> 
> ⌥X V E R S I O N <return> <ns-application-activated> 
> <menu-bar> <help-menu> <bug-diagnosis> <start-vanilla-aquamacs> 
> <ns-application-activated> <ns-application-activated> 
> <ns-application-activated> ⌘` <down-mouse-1> <mouse-1> 
> <ns-application-activated> <down-mouse-1> <mouse-1> 
> <menu-bar> <help-menu> <bug-diagnosis> <send-emacs
> -bug-report>
> 
> Recent messages:
> Pymacs loading pycomplete...done
> Loading flymake...done
> Loading /Users/duncan/Library/Preferences/Aquamacs Emacs/Preferences.el (source)...done
> one-buffer-one-frame-mode disabled.
> Loading /Users/duncan/Library/Preferences/Aquamacs Emacs/frame-positions.el (source)...done
> Mark set [5 times]
> Truncate long lines disabled
> Mark set
> Aquamacs is based on GNU Emacs, a part of the GNU/Linux system. It is Free Software: you can improve and redistribute it under the GNU General Public License, version 3 or later. Copyright (C) 2009 Free Software Foundation, Inc. (C) 2009 D. Reitter. No Warranty.
> GNU Emacs 23.1.93.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54) of 2010-03-09 on braeburn.aquamacs.org - Aquamacs Distribution 2.0preview5
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort mail-extr message ecomplete rfc822 mml mml-sec mm-decode
> mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp
> ietf-drums mailabbrev nnheader mm-util mail-prsvr gmm-utils mailheader
> canlock sha1 hex-util hashcash mail-utils emacsbug flymake pycomplete
> python-mode info-look info ansi-color compile pymacs edmacro kmacro
> highlight-80+-autoloads package reporter uniquify load-emacs-plugins
> aquamacs-mode-defaults auctex-config server tex-site smart-dnd
> aquamacs-aux savehist mouse-sel one-buffer-one-frame
> smart-frame-positioning drews_init color-theme-autoloads saveplace
> visual-line aquamacs-bug tramp-imap assoc tramp-gw tramp-fish tramp-smb
> tramp-cache tramp-ftp tramp-cmds tramp auth-source gnus-util netrc shell
> comint ring password-cache format-spec tramp-compat trampver
> aquamacs-autoface-mode aquamacs-editing sendmail recentf tree-widget
> cus-edit osxkeys emulate-mac-keyboard-mode frame-cmds strings misc-fns
> thingatpt+ thingatpt frame-fns avoid aquamacs-mac-fontsets fit-frame
> aquamacs-frame-setup aquamacs-tabbar tabbar-window cl cl-19 tabbar
> easy-mmode cus-start cus-load load-emacs-pre-plugins aquamacs-site-start
> cocoa-compatibility filladapt aquamacs-redo check-for-updates
> aquamacs-menu osx_defaults aquamacs-tool-bar aquamacs
> mac-extra-functions aquamacs-tools aquamacs-macros parse-time timezone
> time-date paren delsel pc-select cua-base wid-edit regexp-opt advice
> advice-preload byte-opt bytecomp byte-compile debug help-fns help-mode
> view image-file disp-table tooltip ediff-hook vc-hooks lisp-float-type
> mwheel ns-win easymenu tool-bar dnd fontset image fringe lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> loaddefs button minibuffer faces cus-face files text-properties overlay
> md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)
> 
> Command line: (/Applications/Aquamacs.app/Contents/MacOS/Aquamacs)
> 
> PATH: /usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/texbin
> 
> exec-path: (/usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/X11/bin /usr/bin /bin /usr/sbin /sbin /Applications/Aquamacs.app/Contents/MacOS/bin /usr/texbin)